various fixes and improvements
[automated-distro-installer] / chboot
diff --git a/chboot b/chboot
index 9cb23d5574fd92dabbe980320df2dc549085eacd..64e499ff484176dfbeaf98479bf5d3d9ddbf4dee 100755 (executable)
--- a/chboot
+++ b/chboot
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash
 
 # Set grub to boot into a different distro, and reboot unless -r
 # $0 [DISTRO_NAME]
@@ -7,13 +7,14 @@
 # DISTRO_NAME is based on the partition names in /boot. eg boot_debianjessie
 
 set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 [[ $EUID == 0 ]] || exec sudo "$BASH_SOURCE" "$@"
 
 reboot=true
 while [[ $1 == -* ]]; do
     case $1 in
+        -d) set -x; shift ;;
         -r) reboot=false; shift ;;
         --) break ;;
     esac